.. _reference-index:

%%%%%%%%%%%%%%%%%%%%%%%%%%%%
The Varnish Reference Manual
%%%%%%%%%%%%%%%%%%%%%%%%%%%%

.. toctree::
	:maxdepth: 2

	vcl.rst
	states.rst
	varnish-cli.rst
	varnishadm.rst
	varnishd.rst
	varnishhist.rst
	varnishlog.rst
	varnishncsa.rst
	varnishstat.rst
	varnishtest.rst
	varnishtop.rst
	vsm.rst
	vmod.rst
	vmod_generated.rst
	directors.rst
	varnish-counters.rst
	vsl.rst
	vsl-query.rst
	vtc.rst

.. todo::
	The programs:
	. varnishd manual page
	. varnishstat
	. - counters explained
	. common filtering options for shmlog tools
	. varnishlog ..
	. varnishtop ..
	. varnishncsa ..
	. varnishhist ..
	The CLI:
	. connections: -T -S -M
	. varnishadm
	. CLI commands and what they do
	. - vcl.load
	. - stop
	. - start
	. - ...
	VCL language
	. The functions:
	. - vcl_recv
	. - vcl_miss
	. ---
	. The things you can do
	. - set
	. - unset
	. - esi
	. - rollback
	Varnishtest
	. syntax etc.
	Shared Memory
	. internals
	. Log records
	Libvarnishapi
	. function descriptions

